## icmptx 0.2

=== Makefile ===
flags=-g3 -Wall -ansi -pedantic -D_GNU_SOURCE

all: icmptx

icmptx: it.o icmptx.c tun_dev.o
	gcc $(flags) -o icmptx icmptx.c it.o tun_dev.o

it.o: it.c tun_dev.h
	gcc $(flags) -c it.c

tun_dev.o: tun_dev.c
	gcc $(flags) -c tun_dev.c

clean:
	rm -f tun_dev.o it.o icmptx

=== debian/changelog ===
icmptx (0.2-2) unstable; urgency=medium

  * Team upload.
  * d/watch: add
  * Homepage: https://codeberg.com/jakkarth/icmptx
    Closes: #1087498
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * cdbs -> dh
  * Use standard CC/*FLAGS in Makefile to get hardening right
  * Vcs-Git: https://salsa.debian.org/debian/icmptx.git
  * Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
    Closes: #1087507

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 14 Nov 2024 15:26:02 +0100

icmptx (0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007405)
  * d/copyright: Convert to machine-readable format
  * Replace deprecated Priority: extra with optional

 -- Bastian Germann <bage@debian.org>  Thu, 18 Apr 2024 07:59:54 +0200

icmptx (0.2-1) unstable; urgency=low

  * Initial release (Closes: #518779)

 -- Runa Sandvik <runa.sandvik@gmail.com>  Tue, 14 Apr 2009 20:08:55 +0200

=== debian/control ===
Source: icmptx
Section: net
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://codeberg.com/jakkarth/icmptx
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/icmptx.git
Vcs-Browser: https://salsa.debian.org/debian/icmptx

Package: icmptx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tunnel IP over ICMP
 ICMPTX is a program that allows a user with root privledges to create a
 virtual network link between two computers, encapsulating data inside of
 ICMP packets.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_install:
	mkdir -p debian/icmptx/usr/bin
	mv icmptx debian/icmptx/usr/bin

%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/[^"-_v]*@ANY_VERSION@%@PACKAGE@-$1%,searchmode=plain" \
	https://codeberg.org/api/v1/repos/jakkarth/icmptx/tags \
	https://codeberg.org/jakkarth/icmptx/archive/[^"-_v]*@ANY_VERSION@@ARCHIVE_EXT@
